package parser;

/**
 * Grammar non-terminal -- F1 ::= num
 */
public class F1 implements F {
    /**
     * Number token.
     */
    private NumToken _num;

    /**
     * Constructor for the F1 grammar non-terminal.
     *
     * @param num number token
     */
    public F1(NumToken num) {
        _num = num;
    }

    /**
     * Return a string representation.
     *
     * @return string representation
     */
    public String toString() {
        return _num.toString();
    }
}

